Skip to main content
GET
/
v3
/
beneficiary
/
{id}
Fetch Beneficiary
curl --request GET \
  --url https://service-sandbox.tazapay.com/v3/beneficiary/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "address": {
    "city": "Test",
    "country": "IN",
    "line1": "Test",
    "line2": "Test",
    "postal_code": "110017",
    "state": "Test"
  },
  "created_at": "2024-10-03T11:03:40.326462Z",
  "destination": "bnk_crv7k337eoqgk10pqp40",
  "destination_details": {
    "bank": {
      "account_number": "Test",
      "account_type": "",
      "bank_codes": {
        "ifsc_code": "Test",
        "swift_code": "Test"
      },
      "bank_name": "hdfc",
      "branch_name": "",
      "country": "IN",
      "currency": "INR",
      "firc_required": true,
      "purpose_code": "Test"
    },
    "type": "bank"
  },
  "documents": [],
  "email": "test@example.com",
  "id": "bnf_crv7k31h1l071n2fkbjg",
  "metadata": {},
  "name": "test",
  "object": "beneficiary",
  "phone": {
    "calling_code": "91"
  },
  "tax_id": "",
  "type": "individual"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

ID of the existing beneficiary

Response

200

Represents a payout beneficiary with personal, contact, and destination details.

address
object

Address details of the beneficiary.

date_of_birth
string

Date of birth of the beneficiary in YYYY-MM-DD format.

nationality
string

ISO 3166-1 alpha-2 country code representing the beneficiary's nationality. Optional field used for enhanced compliance screening. Sending this field will reduce compliance hold.

destination
string

Identifier or reference to the beneficiary's payment destination (bank account, wallet, etc.).

destination_details
object

Details about the payout destination, such as wallet or bank.

documents
object[]

List of documents associated with the beneficiary (e.g., ID proof, address proof).

email
string

Email address of the beneficiary.

name
string

Full name of the beneficiary.

name_local
string

Local language representation of the beneficiary's name, if applicable.

national_identification_number
string

National identification number or equivalent ID.

party_classification
string

Classification of the beneficiary. Possible Values - 'self', 'third_party'.

phone
object

Contact phone information of the beneficiary.

registration_number
string

Registration or incorporation number for business beneficiaries.

tax_id
string

Tax identification number for the beneficiary.

type
string

Specifies whether the beneficiary is an 'individual' or a 'business'.